# Uses of Interface
org.springframework.expression.spel.CodeFlow.ClinitAdder

Packages that use CodeFlow.ClinitAdder
Package
Description
org.springframework.expression.spel
SpEL's central implementation package.

## Uses of CodeFlow.ClinitAdder in org.springframework.expression.spel

Methods in org.springframework.expression.spel with parameters of type CodeFlow.ClinitAdder
Modifier and Type
Method
Description
`void`
CodeFlow.`registerNewClinit(CodeFlow.ClinitAdder clinitAdder)`
Register a ClinitAdder which will add code to the static initializer in the generated class to support the code produced by an AST node's primary generateCode() method.